Cancel transactions
curl --request POST \
--url https://api.pgw-sandbox.finventi.com/cancelTransaction \
--header 'Content-Type: application/json' \
--data '
{
"transaction_ids": [
123
],
"additional_comment": "<string>"
}
'import requests
url = "https://api.pgw-sandbox.finventi.com/cancelTransaction"
payload = {
"transaction_ids": [123],
"additional_comment": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({transaction_ids: [123], additional_comment: '<string>'})
};
fetch('https://api.pgw-sandbox.finventi.com/cancelTransaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"amount": 123,
"collection": [
123
]
}
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Cancel payments
Cancel SEPA transaction (v0)
deprecated
Initiates cancellation requests for outbound SEPA CT/Instant payments through the deprecated v0 endpoint.
POST
/
cancelTransaction
Cancel transactions
This endpoint is deprecated. Use Cancel payments instead.
Overview
This endpoint initiates a cancellation request (camt.056) message to the beneficiary system for outbound SEPA CT/Instant payments.How It Works
- Payment not yet sent to clearing (
Created,To sign,Signed): Changes the payment status directly toCancelled - Payment already sent (
Sent to clear,Accepted,Completed): Sends a camt.056 cancellation request message to the beneficiary’s system
Migrate to v1
POST /v1/transactions:cancel performs the same cancellation and returns a more detailed response.Body
application/json
Array of transaction IDs
Minimum array length:
1Used in conjunction with 'reason' or 'reason_additional'.
Only allowed when:
- 'CUST' is used as a Recall reason code; or
- 'FRAD', 'AM09' or 'AC03' are used as a Recall reason Proprietary.
Required string length:
1 - 105Cancellation reason.
One of the values must be present 'reason' or 'reason_additional'
Available options:
DUPL, CUST Additional cancellation reason.
One of the values must be present 'reason' or 'reason_additional'.
Available options:
FRAD, TECH, AC03, AM09 Response
Payment scheduled for cancellation
Result of cancel transactions
Show child attributes
Show child attributes
Last modified on August 28, 2026